API Reference
The REST API is served from https://api.savvycal.com/v1. Requests and responses are JSON. Authenticate with a personal access token or an OAuth access token, as described in Authentication.
This reference is generated from the OpenAPI specification.
Events
An event represents a meeting that has been scheduled via SavvyCal.
List events
GET /v1/events
Get event
GET /v1/events/{event_id}
Cancel event
POST /v1/events/{event_id}/cancel
Create event
POST /v1/links/{link_id}/events
Scheduling links
A scheduling link represents a URL that can be used to schedule meetings.
List scheduling links
GET /v1/links
Create personal scheduling link
POST /v1/links
Delete a scheduling link
DELETE /v1/links/{link_id}
Get a scheduling link
GET /v1/links/{link_id}
Update a scheduling link
PATCH /v1/links/{link_id}
Duplicate a scheduling link
POST /v1/links/{link_id}/duplicate
Get available time slots
GET /v1/links/{link_id}/slots
Toggle link state
POST /v1/links/{link_id}/toggle
Create a scheduling link
POST /v1/scopes/{scope_slug}/links
Current user
The current user is a representation of the user making the API request.
Time zones
A time zone represents a region of the world with a specific offset from Coordinated Universal Time (UTC).
Webhooks
A webhook represents an endpoint that can be used to receive notifications about events in the system.
List webhooks
GET /v1/webhooks
Create webhook
POST /v1/webhooks
Delete webhook
DELETE /v1/webhooks/{webhook_id}
Get webhook
GET /v1/webhooks/{webhook_id}
Workflows
A workflow represents a series of actions that can be triggered by events in the system.
Schemas
Request and response payloads, including the payload for each webhook event type, are listed under Schemas in the sidebar.